package com.wisedu.mooc.app.log.bo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "log_study_day")
public class LogStudyDay {
	
	private String id;
	private Long coeusUserId;
	private Integer duration;
	private Integer studyYear;
	private Integer studyMonth;
	private Integer studyDay;
	private Date studyDate;
	private Integer studyCount;
	@Id
	@Column(name = "id", unique = true, nullable = false, length = 64)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(name = "coeus_user_id")
	public Long getCoeusUserId() {
		return coeusUserId;
	}
	public void setCoeusUserId(Long coeusUserId) {
		this.coeusUserId = coeusUserId;
	}
	@Column(name = "duration")
	public Integer getDuration() {
		return duration;
	}
	public void setDuration(Integer duration) {
		this.duration = duration;
	}
	@Column(name = "study_year")
	public Integer getStudyYear() {
		return studyYear;
	}
	public void setStudyYear(Integer studyYear) {
		this.studyYear = studyYear;
	}
	@Column(name = "study_month")
	public Integer getStudyMonth() {
		return studyMonth;
	}
	public void setStudyMonth(Integer studyMonth) {
		this.studyMonth = studyMonth;
	}
	@Column(name = "study_day")
	public Integer getStudyDay() {
		return studyDay;
	}
	public void setStudyDay(Integer studyDay) {
		this.studyDay = studyDay;
	}
	@Column(name = "study_date" )
	public Date getStudyDate() {
		return studyDate;
	}
	public void setStudyDate(Date studyDate) {
		this.studyDate = studyDate;
	}
	@Column(name = "study_count" )
	public Integer getStudyCount() {
		return studyCount;
	}
	public void setStudyCount(Integer studyCount) {
		this.studyCount = studyCount;
	}
}
